For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
        • Themes
            • GETList Themes
            • POSTUpload Theme
            • GETGet Theme
            • DELDelete Theme
              • POSTDownload Theme
              • POSTActivate Theme
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentThemesTheme Actions

Activate Theme

POST
https://api.bigcommerce.com/stores/:store_hash/v3/themes/actions/activate
POST
/stores/:store_hash/v3/themes/actions/activate
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/themes/actions/activate \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "variation_id": "a3f1c2d4-5678-4e9b-9f0a-123456789abc"
>}'
204No Content
1{
2 "status": 404,
3 "title": "Theme Variation Not Found",
4 "type": "https://api.bigcommerce.com/errors/theme-variation-not-found",
5 "instance": "/themes/actions/activate/instances/12345"
6}

Actives a store Theme.

This returns a 204 response upon success.

Was this page helpful?
Previous

Download Theme

Next

Get Theme Configuration

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Themes | modify | `store_themes_manage` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

channel_idintegerOptional
The ID for the channel where you want to activate the theme.

Request

Request parameters.
variation_idstringRequired
The identifier for the variation to activate.
whichenumOptional
Which configuration to use.
Allowed values:

Response

This returns when the request is successful.
statusinteger
204 HTTP status code.
titlestring
The error title describing the situation.
typestring
instancestring

OAuth scopes

UI NamePermissionParameter
Themesmodifystore_themes_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.